=== debian/control ===
Source: libmasonx-interp-withcallbacks-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: gregor herrmann <gregoa@debian.org>,
           Niko Tyni <ntyni@debian.org>,
           Florian Schlichting <fschlich@zedat.fu-berlin.de>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libmodule-build-perl
Build-Depends-Indep: libcgi-pm-perl | perl (<< 5.19),
                     libclass-container-perl,
                     libhtml-mason-perl,
                     libparams-callbackrequest-perl,
                     libtest-pod-perl,
                     perl
Standards-Version: 3.9.6
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libmasonx-interp-withcallbacks-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libmasonx-interp-withcallbacks-perl.git
Homepage: https://metacpan.org/release/MasonX-Interp-WithCallbacks

Package: libmasonx-interp-withcallbacks-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libclass-container-perl,
         libhtml-mason-perl,
         libparams-callbackrequest-perl
Suggests: libapache2-mod-perl2
Description: Mason callback support via Params::CallbackRequest
 MasonX::Interp::WithCallbacks subclasses HTML::Mason::Interp in order to
 provide a Mason callback system built on Params::CallbackRequest.
 Callbacks may be either code references provided to the new() constructor,
 or methods defined in subclasses of Params::Callback. Callbacks are triggered
 either for every request or by specially named keys in the Mason request
 arguments, and all callbacks are executed at the beginning of a request, just
 before Mason creates and executes the request component stack.
 .
 This module brings support for a sort of plugin architecture based on
 Params::CallbackRequest to Mason. Mason then executes code before executing
 any components. This approach allows you to carry out logical processing of
 data submitted from a form, to affect the contents of the Mason request
 arguments (and thus the %ARGS hash in components), and even to redirect or
 abort the request before Mason handles it.
