=== debian/watch ===
version=4
https://metacpan.org/release/MasonX-Interp-WithCallbacks .*/MasonX-Interp-WithCallbacks-v?@ANY_VERSION@@ARCHIVE_EXT@$
