## libmasonx-interp-withcallbacks-perl 1.20

=== debian/changelog ===
libmasonx-interp-withcallbacks-perl (1.20-1) unstable; urgency=medium

  * Import upstream version 1.20.
  * Drop Attempt_to_call_undefined_import_method_with_arguments.patch,
    merged upstream.
  * Update years of upstream copyright.
  * Drop test dependency on libtest-pod-perl (test removed).

 -- gregor herrmann <gregoa@debian.org>  Sun, 11 Aug 2024 21:03:38 +0200

libmasonx-interp-withcallbacks-perl (1.19-5) unstable; urgency=medium

  * Add patch to fix a warning with perl 5.40. (Closes: #1078114)
  * Update years of packaging copyright.
  * Update alternative build dependencies.
  * Declare compliance with Debian Policy 4.7.0.
  * Set Rules-Requires-Root: no.
  * Annotate test-only build dependencies with <!nocheck>.

 -- gregor herrmann <gregoa@debian.org>  Sat, 10 Aug 2024 18:37:56 +0200
