=== debian/control ===
--- 
+++ 
@@ -8,16 +8,16 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libmodule-build-perl
-Build-Depends-Indep: libcgi-pm-perl | perl (<< 5.19),
-                     libclass-container-perl,
-                     libhtml-mason-perl,
-                     libparams-callbackrequest-perl,
-                     libtest-pod-perl,
+Build-Depends-Indep: libcgi-pm-perl <!nocheck>,
+                     libclass-container-perl <!nocheck>,
+                     libhtml-mason-perl <!nocheck>,
+                     libparams-callbackrequest-perl <!nocheck>,
                      perl
-Standards-Version: 3.9.6
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libmasonx-interp-withcallbacks-perl
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libmasonx-interp-withcallbacks-perl.git
 Homepage: https://metacpan.org/release/MasonX-Interp-WithCallbacks
+Rules-Requires-Root: no
 
 Package: libmasonx-interp-withcallbacks-perl
 Architecture: all
